RedCrawler API
Subreddit Feeds V2

Games Feed V2

Fetch Reddit's Games feed — gaming-related posts and content from across Reddit.

GET /api/v2/feed/games

Fetch Reddit's Games feed — gaming-related posts and content from across Reddit.

Query parameters

NameTypeRequiredDescription
time_filterstringNoTime filter for top/controversial: hour, day, week, month, year, all
limitstringNoMax posts to return, auto-paginates (1-500, default: 100)
sortstringNoSort order: hot, new, top, rising, best, controversial (default: hot)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/feed/games?time_filter=<time_filter>&limit=25&sort=hot" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/feed/games?time_filter=<time_filter>&limit=25&sort=hot", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/feed/games?time_filter=<time_filter>&limit=25&sort=hot"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "dDNfMXJ5ZGxueQ==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFyeWRsbnk=",
              "createdAt": "2026-03-19T21:51:19.734000+0000",
              "authorName": null,
              "color": {
                "rgbaColor": "#05FA1EFF"
              },
              "detailsString": "r/GamesOnReddit",
              "detailsLink": "GamesOnReddit",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "SW5kaWNhdG9yc0NlbGwtdDNfMXJ5ZGxueQ==",
              "indicators": [
                "APP"
              ],
              "isShowDevPlatformPrivacyLink": true
            },
            "\u2026 (4 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (4 more items)"
          ]
        }
      },
      {
        "node": {
          "id": "dDNfMXN5amV2ZA==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": {
            "typeIdentifier": "dev_platform",
            "sourceId": null,
            "name": null,
            "isContextHidden": false,
            "richText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
          },
          "cells": [
            {
              "id": "UmljaFRleHRSZWNvbW1lbmRhdGlvbkNvbnRleHRDZWxsLXQzXzFzeWpldmQ=",
              "rtJsonText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
            },
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeWpldmQ=",
              "createdAt": "2026-04-29T00:38:10.457000+0000",
              "authorName": null,
              "color": {
                "rgbaColor": "#371EA8FF"
              },
              "detailsString": "r/BunnyTrials",
              "detailsLink": "BunnyTrials",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": true,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            "\u2026 (5 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (5 more items)"
          ]
        }
      }
    ],
    "count": 2
  },
  "error": null,
  "timestamp": "2026-04-29T09:00:05.751900+00:00"
}

On this page